
clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"
global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 
global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"

global worker_wave1 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2001\Worker_Data"


global worker_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Data"
global worker_wave1_derived_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Derived_Data_Wave1" 

global firm_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Data_Wave1" 
global firm_wave1_drived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Derived_Data_Wave1"  

use "$firm_wave1_public\nm1a18extended_public.dta", clear

replace emp1999=emp2000 if a5q8==2 & emp1999==.
sum emp1999 emp2000


/*Creating the composition of the workforce*/
mvencode a5q7a1 if a5q7a1==. & a5q1c~=., mv(0)
mvencode a5q7a2 if a5q7a2==. & a5q1c~=., mv(0) 
mvencode a5q7b1 if a5q7b1==. & a5q1c~=., mv(0) 
mvencode a5q7b2 if a5q7b2==. & a5q1c~=., mv(0) 
mvencode a5q7c1 if a5q7c1==. & a5q1c~=., mv(0) 
mvencode a5q7c2 if a5q7c2==. & a5q1c~=., mv(0) 
mvencode a5q7d1 if a5q7d1==. & a5q1c~=., mv(0) 
mvencode a5q7d2 if a5q7d2==. & a5q1c~=., mv(0) 
mvencode a5q7e1 if a5q7e1==. & a5q1c~=., mv(0) 
mvencode a5q7e2 if a5q7e2==. & a5q1c~=., mv(0) 

mvencode a5q7f1 if a5q7f1==. & a5q1c~=., mv(0)
mvencode a5q7f2 if a5q7f2==. & a5q1c~=. , mv(0) 
mvencode a5q7g1 if a5q7g1==. & a5q1c~=., mv(0) 
mvencode a5q7g2 if a5q7g2==. & a5q1c~=. , mv(0) 
mvencode a5q7h1 if a5q7h1==. & a5q1c~=., mv(0) 
mvencode a5q7h2 if a5q7h2==. & a5q1c~=., mv(0) 
mvencode a5q7i1 if a5q7i1==. & a5q1c~=., mv(0) 
mvencode a5q7i2 if a5q7i2==. & a5q1c~=., mv(0) 
mvencode a5q7j1 if a5q7j1==. & a5q1c~=., mv(0) 
mvencode a5q7j2 if a5q7j2==. & a5q1c~=., mv(0) 

mvencode a5q7k1 if a5q7k1==. & a5q1c~=. , mv(0)
mvencode a5q7k2 if a5q7k2==. & a5q1c~=., mv(0) 
mvencode a5q7l1 if a5q7l1==. & a5q1c~=., mv(0) 
mvencode a5q7l2 if a5q7l2==. & a5q1c~=., mv(0) 
mvencode a5q7m1 if a5q7m1==. & a5q1c~=., mv(0) 
mvencode a5q7m2 if a5q7m2==. & a5q1c~=., mv(0) 
mvencode a5q7n1 if a5q7n1==. & a5q1c~=., mv(0) 
mvencode a5q7n2 if a5q7n2==. & a5q1c~=., mv(0) 
mvencode a5q7o1 if a5q7o1==. & a5q1c~=., mv(0) 
mvencode a5q7o2 if a5q7o2==. & a5q1c~=., mv(0) 

mvencode a5q7p1 if a5q7p1==. & a5q1c~=., mv(0)
mvencode a5q7p2 if a5q7p2==. & a5q1c~=., mv(0) 
mvencode a5q7q1 if a5q7q1==. & a5q1c~=., mv(0) 
mvencode a5q7q2 if a5q7q2==. & a5q1c~=., mv(0) 
mvencode a5q7r1 if a5q7r1==. & a5q1c~=., mv(0) 
mvencode a5q7r2 if a5q7r2==. & a5q1c~=., mv(0) 
mvencode a5q7s1 if a5q7s1==. & a5q1c~=., mv(0) 
mvencode a5q7s2 if a5q7s2==. & a5q1c~=., mv(0) 
mvencode a5q7t1 if a5q7t1==. & a5q1c~=., mv(0) 
mvencode a5q7t2 if a5q7t2==. & a5q1c~=., mv(0) 

gen tworkm00=a5q7a1+a5q7b1+a5q7c1+a5q7d1+a5q7e1+a5q7f1+a5q7g1+a5q7h1+ ///
         a5q7i1+a5q7j1+a5q7k1+a5q7l1+a5q7m1+a5q7n1+a5q7o1+a5q7p1+ ///
         a5q7q1+a5q7r1+a5q7s1

gen  tworkf00=a5q7a2+a5q7b2+a5q7c2+a5q7d2+a5q7e2+a5q7f2+a5q7g2+a5q7h2+ ///
         a5q7i2+a5q7j2+a5q7k2+a5q7l2+a5q7m2+a5q7n2+a5q7o2+a5q7p2+ ///
         a5q7q2+a5q7r2+a5q7s2
		 
		 sum a5q7a2 a5q7b2 a5q7c2 a5q7d2 a5q7e2 a5q7f2 a5q7g2 a5q7h2 ///
         a5q7i2 a5q7j2 a5q7k2 a5q7l2 a5q7m2 a5q7n2 a5q7o2 a5q7p2 ///
         a5q7q2 a5q7r2 a5q7s2 tworkf00
		

		 gen check_00= tworkm00+ tworkf00- emp2000
sum tworkm00 tworkf00 emp2000 check_00


mvencode a5q9a1 if a5q9a1==. & emp1999~=., mv(0)
mvencode a5q9a2 if a5q9a2==. & emp1999~=., mv(0) 
mvencode a5q9b1 if a5q9b1==. & emp1999~=., mv(0) 
mvencode a5q9b2 if a5q9b2==. & emp1999~=., mv(0) 
mvencode a5q9c1 if a5q9c1==. & emp1999~=., mv(0) 
mvencode a5q9c2 if a5q9c2==. & emp1999~=., mv(0) 
mvencode a5q9d1 if a5q9d1==. & emp1999~=., mv(0) 
mvencode a5q9d2 if a5q9d2==. & emp1999~=., mv(0) 
mvencode a5q9e1 if a5q9e1==. & emp1999~=., mv(0) 
mvencode a5q9e2 if a5q9e2==. & emp1999~=., mv(0) 

mvencode a5q9f1 if a5q9f1==. & emp1999~=., mv(0)
mvencode a5q9f2 if a5q9f2==. & emp1999~=., mv(0) 
mvencode a5q9g1 if a5q9g1==. & emp1999~=., mv(0) 
mvencode a5q9g2 if a5q9g2==. & emp1999~=., mv(0) 
mvencode a5q9h1 if a5q9h1==. & emp1999~=., mv(0) 
mvencode a5q9h2 if a5q9h2==. & emp1999~=., mv(0) 
mvencode a5q9i1 if a5q9i1==. & emp1999~=., mv(0) 
mvencode a5q9i2 if a5q9i2==. & emp1999~=., mv(0) 

gen tworkm99=a5q9a1+a5q9b1+a5q9c1+a5q9d1+a5q9e1+a5q9f1+a5q9g1+a5q9h1

gen tworkf99=a5q9a2+a5q9b2+a5q9c2+a5q9d2+a5q9e2+a5q9f2+a5q9g2+a5q9h2

gen check_99=emp1999-tworkm99-tworkf99
list   tworkm99 tworkf99 emp1999 emp2000 a5q9i1  a5q9i2 check_99 if check_99~=0 & check_99~=.

gen man00=a5q7a1+a5q7a2
gen man99=a5q9a1+a5q9a2

gen manm00=a5q7a1
gen manm99=a5q9a1

gen admin00=a5q7c1+a5q7c2+a5q7d1+a5q7d2+a5q7e1+a5q7e2+a5q7f1+a5q7f2 
gen admin99=a5q9b1+a5q9b2+a5q9c1+a5q9c2 
gen adminm00=a5q7c1+a5q7d1+a5q7e1+a5q7f1 
gen adminm99=a5q9b1+a5q9c1 

gen comm00=a5q7g1+a5q7g2+a5q7i1+a5q7i2+a5q7j1+a5q7j2 
gen commm00=a5q7g1+a5q7i1+a5q7j1 
gen comm99=a5q9d1+a5q9d2+a5q9e1+a5q9e2 
gen commm99=a5q9d1+a5q9e1 

gen prodw00=a5q7h1+a5q7h2+a5q7n1+a5q7n2+a5q7o1+a5q7o2+ ///
        a5q7k1+a5q7k2+a5q7r1+a5q7r2+a5q7s1+a5q7s2 
gen prodwm00=a5q7h1+a5q7n1+a5q7o1+a5q7k1+a5q7r1+a5q7s1 
gen prodw99=a5q9f1+a5q9f2+a5q9h1+a5q9h2 
gen prodwm99=a5q9f1+a5q9h1 

gen maint00=a5q7m1+a5q7m2 
gen maintm00=a5q7m1 
gen maint99=maint00 
gen maintm99=maintm00 

gen super00=a5q7l1+a5q7l2 
gen superm00=a5q7l1 
gen super99=a5q9g1+a5q9g2 
gen superm99=a5q9g1 

gen mast00=a5q7p1+a5q7p2 
gen mastm00=a5q7p1 
gen mast99=mast00 
gen mastm99=mastm00 

gen appr00=a5q7q1+a5q7q2 
gen apprm00=a5q7q1 
gen appr99=appr00 
gen apprm99=apprm00 


gen twork99=man99+admin99+comm99+prodw99+maint99+super99+mast99+appr99 
gen twork00=man00+admin00+comm00+prodw00+maint00+super00+mast00+appr00 
/*
gen tworkm99=manm99+adminm99+commm99+prodwm99+maintm99+superm99+mastm99+apprm99 
gen tworkm00=manm00+adminm00+commm00+prodwm00+maintm00+superm00+mastm00+apprm00 
*/
gen ch99=emp1999-twork99 
gen ch00=emp2000-twork00 
sum ch99 ch00
list firm ch99 emp1999 man99 admin99 comm99 prodw99 maint99 super99 mast99 appr99  if ch99~=0


replace twork99=twork00 if a5q8==2 | a5q8==.
replace tworkm99=tworkm00 if a5q8==2 | a5q8==.
replace tworkf99=tworkf00 if a5q8==2 | a5q8==.

keep firm emp1999 emp2000 tworkm00 tworkf00 ///
twork99 man99 admin99 comm99 prodw99 maint99 super99 mast99 appr99  ///
twork00 man00 admin00 comm00 prodw00 maint00 super00 mast00 appr00 

save "$temp\labmar_wave1", replace 
sum

gen man=man99 
gen admin=admin99 
gen comm=comm99 
gen superv=super99 
gen maint=maint99 
gen prodw=prodw99 
gen mast=mast99 
gen appr=appr99 
gen year=1999 
keep firm year man admin comm superv maint prodw mast appr 
sort firm year
save "$temp\labmar_1999", replace 
/*manm adminm commm supervm maintm prodwm mastm apprm*/

use "$temp\labmar_wave1", clear

gen man=man00 
gen admin=admin00 
gen comm=comm00 
gen superv=super00 
gen maint=maint00 
gen prodw=prodw00 
gen mast=mast00 
gen appr=appr00 

gen year=2000 

keep firm year man admin comm superv maint prodw mast appr 

sort firm year 
save "$temp\labmar_2000", replace 
merge firm year using "$temp\labmar_1999"
sum
drop _merge
sort firm year
save "$firm_wave1_drived_data\labmar_12", replace
exit


