
clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"
global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 
global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"

global worker_wave1 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2001\Worker_Data"

global worker_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Data" 
global worker_wave1_derived_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Derived_Data_Wave1" 

use "$worker_wave1_public\appren12.dta" , clear
sum

gen sex=a14q2 


gen male= sex==1 if a14q2~=.
sum male

gen age=a14q3 

gen born=a14q4 
gen arrive=a14q5 

gen stanc=a14q9 
gen stance=a14q10 
gen regnsc=a14q11 

gen edlevel1=a14q12 


gen educ=0 if edlevel1==0
replace educ=6 if edlevel1==2
replace educ=10 if edlevel1==3
replace educ=10 if edlevel1==4
replace educ=12 if edlevel1==5 
replace educ=0  if edlevel1==6 
replace educ=12 if edlevel1==7
replace educ=14  if edlevel1==8 
replace educ=11 if edlevel1==9
replace educ=14  if edlevel1==10 
replace educ=16 if edlevel1==11
replace educ=16 if edlevel1==12
replace educ=18  if edlevel1==13 
replace educ=21 if edlevel1==14
sum age educ male


gen yrborn=2002-age 

gen tenurey=a14q14x 
gen tenurem=a14q14y 
replace tenurem=0  if tenurem==. & tenurey ~=. 
replace tenurey=0  if tenurey==. & tenurem ~=.  
gen pcyear=tenurem/12 
gen tenure=tenurey+pcyear 
gen appren=1 

/*Earning data*/

/*Current year allowance*/
replace a14q31=0  if a14q31==. 
replace a14q34=0 if a14q34==.  
replace a14q37=0 if a14q37==.   

/*a14q38 is earnings in 2000*/
gen ern1=a14q28y+a14q31+a14q34+a14q37 
gen erntot1=a14q38 
replace ern1=erntot1 if ern1==. 

/*a14q39 is earnings in 1999*/
gen erntot2=a14q39 
sum a14q39 a14q28x


gen check=erntot2-ern1 

gen ern1m=ern1*8*5*4.5  if a14q28x==1
gen ern2m=erntot2*8*5*4.5 if a14q28x==1

replace ern1m=ern1*5*4.5 if a14q28x==2 
replace ern2m=erntot2*5*4.5 if a14q28x==2
 
replace ern1m=ern1*52/12 if a14q28x==3
replace ern2m=erntot2*52/12 if a14q28x==3

replace ern1m=ern1 if a14q28x==4
replace ern2m=erntot2 if a14q28x==4

replace ern1m=ern1/12 if a14q28x==5
replace ern2m=erntot2/12 if a14q28x==5

replace ern1m=0 if a14q27==2 & a14q31==0 & a14q34==0 & a14q37==0   
replace ern1m=0 if ern1m==0 & erntot2==.& tenure > 1  

gen earng01=ern1m 
gen earng00=ern2m 

replace wid=wid+10 

keep firm wid male earng00 earng01 age tenure educ 
sum
sort firm wid
save "$worker_wave1_derived_public\ngaappren", replace 
exit

