
cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 


global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global pooled "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria merged_Waves 1 and 2_May06"

global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 

global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"

global worker_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Data"
global worker_wave1_derived_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Derived_Data_Wave1" 


use "$worker_wave1_public\work13.dta" , clear
gen sex=a13q1 

gen male=1 if sex==1 
replace male=0 if sex==2 

gen age=a13q2 
gen married=a13q3 

gen born=a13q4 
gen arrive=a13q5 

gen ethnic=a13q6 
gen stanc=a13q8 
gen stance=a13q9 
gen regnsc=a13q10 

gen yrendsc=a13q7
gen edlevela=a13q11 
gen edlevelb=a13q13 

gen educ=0 if edlevela=="NONE" 
replace educ=1 if edlevela=="P1" 
replace educ=2 if edlevela=="P2" 
replace educ=3 if edlevela=="P3" 
replace educ=4 if edlevela=="P4"  
replace educ=5 if edlevela=="P5"  
replace educ=6 if edlevela=="P6"  
replace educ=9 if edlevela=="S3"  
replace educ=10 if edlevela=="S4"  
replace educ=11 if edlevela=="S5"  
replace educ=13 if edlevela=="S6"  
replace educ=8 if edlevela=="JSS2"  
replace educ=9 if edlevela=="JSS3" 
replace educ=11 if edlevela=="SSS2"  
replace educ=12 if edlevela=="SSS3"  
sum male age educ



/*Bit of coding from previous sas program
if educ=. then educ=years 
if years lt educ and years ne . then educ=years 
if edlevela=1 and edtype ne . then educ=years 
*/
sum edlevela edlevelb


*check this replace edlevelb=2 if edlevela==2 and edlevelb==3 

replace educ=educ+2  if edlevelb==8  | edlevelb==9

replace educ=15 if edlevelb==10
replace educ=16 if edlevelb==11
replace educ=16 if edlevelb==12 
replace educ=18 if edlevelb==13
replace educ=21 if edlevelb==14

gen yrborn=2002-age 
gen impeduc=yrendsc-yrborn-6 
replace impeduc=educ if impeduc<educ 
replace impeduc=educ if impeduc>20  

gen tenurey=a13q25x 
gen tenurem=a13q25y 
replace tenurem=0  if tenurem==. & tenurey~=. 
replace tenurey=0  if tenurey==. & tenurem~=.  
gen pcyear=tenurem/12 
gen tenure=tenurey+pcyear 


gen occupat=a13q31 

gen occly=a13q32 
gen occst=a13q33 

/*creates occupation variables*/
gen young = age<25 if !missing(age)
gen mgmt= occupat==1 | occupat==2 if ~missing(occupat) 
gen admin=  occupat==5  if ~missing(occupat) 
gen proffes= occupat==3 | occupat==4 | occupat==6   if ~missing(occupat) 
gen sales= occupat==7 | occupat==9 | occupat==10  if ~missing(occupat) 
gen super= occupat==12  if ~missing(occupat) 
gen tech= occupat==13 | occupat==14 if ~missing(occupat) 
gen prod= occupat==15 | occupat==16   | occupat==19 | occupat==20  if ~missing(occupat) 
gen appren= occupat==18  if ~missing(occupat) 
gen master= occupat==17  if ~missing(occupat) 
gen support= occupat==11 | occupat==8  if ~missing(occupat) 

gen adminp=admin+proffes 
gen pros=prod+support 
sum mgmt admin proffes sales super tech prod appren master support adminp pros
  
  
/*Earning data*/

/*Current year allowance*/
replace a13q40=0 if a13q40==.  
replace a13q42=0 if a13q42==. 
replace a13q44=0  if a13q44==. 
replace a13q46=0 if a13q46==.  
replace a13q49=0 if a13q49==. 
replace a13q51=0  if a13q51==. 

/*last year alowances*/
replace a13q41=0 if a13q41==. 
replace a13q43=0 if a13q43==. 
replace a13q45=0  if a13q45==. 
replace a13q47=0  if a13q47==. 

gen ratio=a13q36*100/a13q35y 
replace ratio=100 if ratio > 100 | ratio <= 80  
gen a13q37yr=a13q37y*100/ratio 

gen ern1=a13q35y+a13q40+a13q42+a13q44+a13q46 
gen ern2=a13q37yr+a13q41+a13q43+a13q45+a13q47 


gen ern1m=ern1*8*5*4.5 if a13q35x==1
gen ern2m=ern2*8*5*4.5 if a13q35x==1

replace ern1m=ern1*5*4.5 if a13q35x==2
replace ern2m=ern2*5*4.5 if a13q35x==2

replace ern1m=ern1*52/12 if a13q35x==3
replace ern2m=ern2*52/12 if a13q35x==3
 
replace ern1m=ern1 if a13q35x==4
replace ern2m=ern2 if a13q35x==4

replace ern1m=ern1/12 if a13q35x==5
replace ern2m=ern2/12 if a13q35x==5


gen ern1am=ern1m+(a13q49+a13q51)/12 
gen ern2am=ern2m+(a13q49+a13q51)/12 
gen earng01=ern1am 
gen earng00=ern2am 

gen learng01=log(earng01) 
gen learng00=log(earng00) 

sum
sort firm wid
save "$worker_wave1_derived_public\ngawork", replace

exit
 