
clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"
global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 
global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"

global worker_wave1 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2001\Worker_Data"

global worker_wave1_public         "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Data" 
global worker_wave1_derived_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Derived_Data_Wave1" 

use "$worker_wave1_derived_public\ngaappren", clear 
gen mgmt=0 if age~=.
gen admin=0 if age~=. 
gen proffes=0 if age~=.
gen sales=0 if age~=.
gen super=0 if age~=.
gen tech=0 if age~=. 
gen prod=0 if age~=.
gen master=0 if age~=.
gen support=0 if age~=. 
gen adminp=0 if age~=.
gen pros=0 if age~=.
sort firm wid

*use "$worker_wave1\earn_workers1", clear



merge firm wid using "$worker_wave1_derived_public\ngawork"
replace appren=1 if wid>10 & age~=.
replace appren=0 if wid<11 & age~=.

gen check_occ=mgmt+admin+proffes+sales+super+tech+prod+master+support+appren
drop if age==. | check_occ==.
*drop if firm==6065 | firm==6066
sum

save "$temp\earn_worker_appren1", replace
gen year=2000 
replace age=age-1 
replace tenure=tenure-1 
replace tenure=. if tenure < 0  
gen earng=earng00 

*if tenure gt 0 and tenure lt 1 then earng=. 

keep firm wid year male earng age tenure educ mgmt admin proffes sales super tech prod master support appren
sort firm wid year
save  "$temp\earn_2000", replace
sum



use "$temp\earn_worker_appren1", clear
gen year=2001 
gen earng=earng01 

*if tenure gt 0 and tenure lt 1 then earng=. 

keep firm wid year male earng age tenure educ mgmt admin proffes sales super tech prod master support appren
sort firm wid year
save  "$temp\earn_2001", replace

merge firm wid year using  "$temp\earn_2000"



gen educ_sq=educ*educ
gen age_sq=age*age
gen tenure_sq=tenure*tenure

gen ln_earn=log(earng)
tab year, gen(year_dum)


gen adminp=admin+proffes
gen pros= prod+support

gen manedu=educ if mgmt==1 
gen adminedu=educ if adminp==1 
gen saledu=educ if sales==1 
gen supedu=educ if super==1 
gen techedu=educ if tech==1 
gen prosedu=educ if pros==1 
gen mastedu=educ if master==1 
gen appredu=educ if appren==1 

gen manage=age if mgmt==1 
gen adminage=age if adminp==1 
gen salage=age if sales==1 
gen supage=age if super==1 
gen techage=age if tech==1 
gen prosage=age if pros==1 
gen mastage=age if master==1  
gen apprage=age if appren==1 

gen manten=tenure if mgmt==1 
gen adminten=tenure if adminp==1 
gen salten=tenure if sales==1 
gen supten=tenure if super==1 
gen techten=tenure if tech==1 
gen prosten=tenure if pros==1 
gen mastten=tenure if master==1 
gen apprten=tenure if appren==1 

gen manern=earng if mgmt==1 
gen adminern=earng if adminp==1 
gen salern=earng if sales==1 
gen supern=earng if super==1 
gen techern=earng if tech==1 
gen prosern=earng if pros==1 
gen mastern=earng if master==1 
gen apprern=earng if appren==1 
sum

reg ln_earn male age age_sq educ educ_sq tenure tenure_sq year_dum*
reg ln_earn male age age_sq educ educ_sq tenure tenure_sq year_dum* mgmt admin proffes sales super tech prod master support appren
save "$worker_wave1_derived_public\nga_worker_appren", replace 
exit

