    clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global pooled "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria merged_Waves 1 and 2_May06"

global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 



use "$wave1\nm1a18extended_public.dta", clear
keep firm isic town


use "$derived_data\sections_3_4_5_2015", clear

gen out=out01
gen mata=mata01
gen misc=misc01
gen emp=emp01
gen cap=cap01
gen cap_pe=cap_pe01
gen inv_pe=inv_pe01
gen year=2001
gen inv=inv01
gen capacity=capacity01
gen vadd=vadd01
gen profit=profit01
gen wage=labcost01
gen ex=ex01
gen exaf=exaf01
sort firmid year
keep unionpc ex exaf multiple wage inv capacity vadd profit year out mata misc emp cap cap_pe inv_pe firmid 
sum
save "$temp\wave01", replace

use "$derived_data\sections_3_4_5_2015", clear

gen out=out02
gen mata=mata02
gen misc=misc02
gen emp=emp02
gen cap=cap02
gen cap_pe=cap_pe02
gen inv_pe=inv_pe02
gen year=2002
gen inv=inv02
gen capacity=capacity02
gen vadd=vadd02
gen profit=profit02
gen wage=labcost02
gen ex=ex02
gen exaf=exaf02
sort firmid year
keep unionpc ex exaf multiple wage inv capacity vadd profit year out mata misc emp cap cap_pe inv_pe firmid 
save "$temp\wave02", replace
sum


use "$derived_data\sections_3_4_5_2015", clear
gen out=out03
gen mata=mata03
gen misc=misc03
gen emp=emp03
gen cap=cap03
gen cap_pe=cap_pe03
gen inv_pe=inv_pe03
gen year=2003
gen inv=inv03
gen capacity=capacity03
gen vadd=vadd03
gen profit=profit03
gen wage=labcost03
gen ex=ex03
gen exaf=exaf03
sort firmid year
keep unionpc ex exaf multiple wage inv capacity vadd profit year out mata misc emp cap  cap_pe inv_pe firmid 
sum
save "$temp\wave03", replace

use "$wave1\nm1a18extended_public.dta", clear
drop year
gen year=1998
gen firmid=a1eno
drop if firmid==.
gen out=outp1998
gen mata=mata1998
gen vadd=vadd1998
gen misc=misc1998
gen wage=wage1998
gen profit=profit1998
gen exaf=pexpa1998
gen ex=pexp1998
*gen cap=cap1998
gen inv_pe=invpe1998

gen emp=emp1998
sort firmid year
keep out mata vadd misc wage profit exaf ex  emp year firmid a3q2a  inv_pe
save "$temp\wave98", replace
sum


use "$wave1\nm1a18extended_public.dta", clear
drop year
gen year=1999
gen firmid=a1eno
drop if firmid==.
gen out=outp1999
gen mata=mata1999
gen vadd=vadd1999
gen misc=misc1999
gen wage=wage1999
gen profit=profit1999
gen exaf=pexpa1999
gen ex=pexp1999
gen cap_pe=cap_pe1999
gen inv_pe=invpe1999
gen emp=emp1999

sort firmid year
keep out mata vadd  misc wage profit exaf ex  emp year firmid a3q2b cap_pe inv_pe
save "$temp\wave99", replace
sum

use "$wave1\nm1a18extended_public.dta", clear
drop year
gen year=2000
gen firmid=a1eno
drop if firmid==.
gen out=outp2000
gen mata=mata2000
gen vadd=vadd2000
gen misc=misc2000
gen wage=wage2000
gen profit=profit2000
gen exaf=pexpa2000
gen ex=pexp2000
gen cap_pe=cap_pe2000
gen inv_pe=invpe2000
gen emp=emp2000

sort firmid year
keep out mata vadd  misc wage profit exaf ex emp year firmid a3q2c cap_pe inv_pe
save "$temp\wave00", replace
merge firmid year using "$temp\wave99" "$temp\wave98" "$temp\wave01" "$temp\wave02" "$temp\wave03" 
drop _merge*

gen firm=firmid
drop firmid
sort firm
save "$derived_data\production_function_1_2", replace
sum

exit

