    clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global pooled "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria merged_Waves 1 and 2_May06"


global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 

use "$wave1\nm1a18extended_public.dta", clear
keep firm isic town a2aq2
gen firmid=firm


/* sector dummies */

gen food = 0
gen textile =0
gen garment = 0
gen wood = 0
gen paper =0
gen chemical = 0
gen metal = 0
gen machines = 0
gen furn = 0


replace food=1 if isic>1500&isic<1600 | isic==7495
replace textile=1 if isic>1700&isic<1800 | isic>1900&isic<2000 | isic>2500&isic<2600 | firm==6120
replace garment=1 if isic==1810
replace wood =1 if isic>2000 & isic<2100
replace paper=1 if isic>2100 & isic<2300
replace chemical=1 if isic>2400 & isic<2500
replace metal=1 if isic>2600 & isic<2900
replace machines=1 if isic>2900 & isic<3200 | isic>3400 & isic<3600
replace furn=1 if isic==3610
replace textile=1 if firm==6209
replace machines=1 if firm==6223

gen fooda=food
gen texta = textile
gen garma = garment
gen wpfa = 0
replace wpfa = 1 if wood==1|paper==1|furn==1
gen chma = 0
replace chma=1 if chemical==1 | machines==1
gen metala=metal

gen anyfor=0
replace anyfor=1 if a2aq2==2 | a2aq2==3 | a2aq2==5 | a2aq2==6


mvencode town if firmid==40, mv(1)
mvencode town if firmid==1030, mv(6)
mvencode town if firmid==1099, mv(6)
mvencode town if firmid==2003, mv(3)
mvencode town if firmid==2006, mv(3)
mvencode town if firmid==2016, mv(3)
mvencode town if firmid==2091, mv(5)
mvencode town if firmid==2093, mv(5)
mvencode town if firmid==2094, mv(5)
mvencode town if firmid==3057, mv(2)
mvencode town if firmid==4027, mv(7)
mvencode town if firmid==5001, mv(8)
mvencode town if firmid==6304, mv(1)
mvencode town if firmid==6310, mv(1)
mvencode town if firmid==6312, mv(1)
mvencode town if firmid==8020, mv(4)
mvencode town if firmid==6332, mv(1)
mvencode town if firmid==8022, mv(4)
mvencode town if firmid==8024, mv(4)
replace town=8 if firmid==5002
replace town=1 if firmid==6053


gen west=1 if town==1 | town==2
gen east=1 if town==3 |town==4|town==5|town==6
gen north=1 if town==7 | town==8
gen lagos=1 if town==1
gen ibadan=1 if town==2
gen enuku=1 if town==3
gen onitsha=1 if town==4
gen nnewi=1 if town==5
gen aba=1 if town==6
gen kaduna=1 if town==7
gen kano=1 if town==8
mvencode west east north lagos ibadan enuku onitsha nnewi aba kaduna kano, mv(0)
 drop if firmid==.
 
 drop firmid
 sort firm
save "$derived_data\sector_town", replace

 
