
clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"
global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 
global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"

global worker_wave1 "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2001\Worker_Data"

global worker_wave1_public         "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Data" 
global worker_wave1_derived_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Worker_Derived_Data_Wave1" 

global firm_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Data_Wave1" 
global firm_wave1_drived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Derived_Data_Wave1"  

use "$worker_wave1_derived_public\nga_worker_appren", clear 

sort firm year  
collapse male earng age  tenure educ  ///
manedu adminedu saledu supedu techedu prosedu mastedu appredu ///
manage adminage salage supage techage prosage mastage apprage ///
manten adminten salten supten techten prosten mastten apprten ///
manern adminern salern supern techern prosern mastern apprern ///
, by(firm year)
sum
sort year
save "$temp\earn_1", replace

 
use "$worker_wave1_derived_public\nga_worker_appren", clear 
sort year  
collapse manedu adminedu saledu supedu techedu prosedu mastedu appredu ///
manage adminage salage supage techage prosage mastage apprage ///
manten adminten salten supten techten prosten mastten apprten ///
manern adminern salern supern techern prosern mastern apprern ///
, by( year)
sum
gen manedu_an=manedu
gen adminedu_an=adminedu
gen saledu_an=saledu
gen supedu_an=supedu
gen techedu_an=techedu 
gen prosedu_an=prosedu 
gen mastedu_an=mastedu
gen appredu_an=appredu

gen manage_an=manage
gen adminage_an=adminage
gen salage_an=salage
gen supage_an=supage 
gen techage_an=techage
gen prosage_an=prosage
gen mastage_an=mastage
gen apprage_an=apprage 

gen manten_an=manten
gen adminten_an=adminten
gen salten_an=salten
gen supten_an=supten
gen techten_an=techten
gen prosten_an=prosten
gen mastten_an=mastten
gen apprten_an=apprten
 
gen manern_an=maner 
gen adminern_an=adminern 
gen salern_an=salern 
gen supern_an=supern 
gen techern_an=techern
gen prosern_an=prosern 
gen mastern_an=mastern 
gen apprern_an=apprern

keep year manedu_an adminedu_an  saledu_an supedu_an techedu_an  prosedu_an  mastedu_an appredu_an manage_an adminage_an salage_an supage_an techage_an ///
prosage_an mastage_an apprage_an manten_an adminten_an salten_an supten_an techten_an prosten_an mastten_an apprten_an manern_an adminern_an  salern_an ///
supern_an  techern_an prosern_an  mastern_an  apprern_an
sum

sort year
merge year using "$temp\earn_1"

replace appredu=prosedu  if appredu==.  
replace mastedu=prosedu  if mastedu==.  
replace adminedu=manedu  if adminedu==.  
replace supedu=prosedu  if supedu==.  
replace techedu=prosedu  if techedu==. 

replace manedu=manedu_an if manedu==. 
replace adminedu=adminedu_an  if adminedu==. 
replace saledu=saledu_an  if saledu==.  
replace supedu=supedu_an  if supedu==.  
replace techedu=techedu_an  if techedu==.  
replace prosedu=prosedu_an if prosedu==.   
replace mastedu=mastedu_an if mastedu==.   
replace appredu=appredu_an  if appredu==.  

replace apprage=prosage  if apprage==.  
replace mastage=prosage  if mastage==. 
replace adminage=manage  if adminage==.  
replace supage=prosage  if supage==. 
replace techage=prosage  if techage==.  

replace manage=manage_an  if manage==. 
replace adminage=adminage_an  if adminage==.  
replace salage=salage_an if salage==. 
replace supage=supage_an  if supage==. 
replace techage=techage_an  if techage==. 
replace prosage=prosage_an if prosage==.   
replace mastage=mastage_an  if mastage==.  
replace apprage=apprage_an  if apprage==.  

replace apprten=prosten  if apprten==.  
replace mastten=prosten  if mastten==.  
replace adminten=manten if adminten==.   
replace supten=prosten  if supten==. 
replace techten=prosten  if techten==. 

replace manten=manten_an  if manten==.  
replace adminten=adminten_an  if adminten==. 
replace salten=salten_an if salten==.   
replace supten=supten_an if supten==.   
replace techten=techten_an if techten==.  
replace prosten=prosten_an  if prosten==.  
replace mastten=mastten_an  if mastten==.  
replace apprten=apprten_an  if apprten==.  

replace manern=manern_an  if manern==.  
replace adminern=adminern_an  if adminern==. 
replace salern=salern_an if salern==.   
replace supern=supern_an if supern==.   
replace techern=techern_an if techern==.  
replace prosern=prosern_an  if prosern==.  
replace mastern=mastern_an  if mastern==.  
replace apprern=apprern_an  if apprern==.  


replace year=year-1
drop _merge
sort firm year
merge firm year using "$firm_wave1_drived_data\labmar_12"
sum

gen totw= man+admin+comm+superv+maint +prodw+mast+appr 


gen eduwgt=(manedu*man+adminedu*admin+saledu*comm+supedu*superv+techedu*maint ///
+prosedu*prodw+mastedu*mast+appredu*appr)/totw 

gen agewgt=(manage*man+adminage*admin+salage*comm+supage*superv+techage*maint ///
+prosage*prodw+mastage*mast+apprage*appr)/totw 

gen tenwgt=(manten*man+adminten*admin+salten*comm+supten*superv+techten*maint ///
+prosten*prodw+mastten*mast+apprten*appr)/totw 

gen ernwgt=(manern*man+adminern*admin+salern*comm+supern*superv+techern*maint ///
+prosern*prodw+mastern*mast+apprern*appr)/totw 

gen ln_ernwgt=log(ernwgt)
gen agewgt_sq=agewgt*agewgt
gen eduwgt_sq=eduwgt*eduwgt

reg ln_ernwgt eduwgt eduwgt_sq agewgt agewgt_sq tenwgt

keep firm eduwgt* agewgt* tenwgt ernwgt
sort firm
save "$firm_wave1_drived_data\human_capital_wave1", replace
exit

