    clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global pooled "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria merged_Waves 1 and 2_May06"

global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 


global firm_wave1_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Data_Wave1" 
global firm_wave1_drived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave1_2001\Firm_Derived_Data_Wave1"  


use "$derived_data\production_function_1_2", clear
sum
sort firm
merge firm using "$derived_data\cpi" "$derived_data\union_wave1_wave2" "$derived_data\firm_age" "$derived_data\sector_town" "$firm_wave1_drived_data\human_capital_wave1"
sum 



gen cap_out=cap_pe/out
sort firm year
sort firm
by firm: list year out vadd inv_pe cap_pe cap_out


replace multiple=1 if a3q2a==1 | a3q2b==1 | a3q2c==1
replace multiple=12 if a3q2a==3 | a3q2b==3 | a3q2c==3
replace multiple=52 if a3q2a==5 | a3q2b==5 | a3q2c==5
replace multiple=26 if a3q2a==4 | a3q2b==4 | a3q2c==4


gen cpi=cpi98 if year==1998
replace cpi=cpi99 if year==1999
replace cpi=cpi00 if year==2000
replace cpi=cpi01 if year==2001
replace cpi=cpi02 if year==2002
replace cpi=cpi03 if year==2003


gen outemp=out/emp


replace firmage_wave1=firmage_wave2 if firmage_wave1==.

gen firmage=firmage_wave1 if year==2000
replace firmage=firmage_wave1-1 if year==1999 
replace firmage=firmage_wave1-2 if year==1998
 
replace firmage=firmage_wave1+1 if year==2001 
replace firmage=firmage_wave1+2 if year==2002 
replace firmage=firmage_wave1+3 if year==2003 


gen rout=out/cpi
gen rmata=mata/cpi
gen rvadd=vadd/cpi
gen rmisc=misc/cpi
gen rcap_pe=cap_pe/cpi

gen ln_rout=log(rout)
gen ln_rmata=log(rmata)
gen ln_rmisc=log(rmisc)
gen ln_rcap_pe=log(rcap_pe)
gen ln_emp=log(emp)

gen lrol=ln_rout-ln_emp
gen lrmatal=ln_rmata-ln_emp
gen lrmiscl=ln_rmisc-ln_emp
gen lrcapl=ln_rcap_pe-ln_emp


tsset firm year
tab year, gen(year_dum)
tab isic, gen(isic_dum)
tab town, gen(town_dum)


gen invdum=1 if inv_pe~=0 & inv_pe~=.
replace invdum=0 if inv_pe==0

gen invrate=inv_pe/cap_pe
sum invdum inv_pe cap_pe invrate cap_out, d

gen ln_ernwgt=log(ernwgt)

/*The following are bsic production functions. There are problems with the capital sotck varialbe and these require furthe investigation*/

reg lrol lrmatal lrmiscl lrcapl  ln_emp eduwgt eduwgt_sq year_dum* isic_dum* 

xtreg lrol lrmatal lrmiscl lrcapl  ln_emp year_dum* , i(firm) fe

reg lrol lrmatal lrmiscl lrcapl  ln_emp eduwgt eduwgt_sq year_dum* isic_dum* if cap_out<20 & cap_out>0.2

xtreg lrol lrmatal lrmiscl lrcapl  ln_emp year_dum* if cap_out<20 & cap_out>0.2, i(firm) fe

/*The following takes firm base earnigns and test for the role of size and productivity*/

reg  ln_ernwgt lrol /*lrmatal lrmiscl*/ lrcapl ln_emp year_dum* isic_dum*

exit



