
clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"

global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 

use "$wave1\nm1a18extended_public.dta", clear
keep firm 

/*Prices used capital stock series for initial use of wave 1 data*/

gen pt = 100   /*2000*/
gen pt_1 = 94.74
gen pt_2 = 87.48
gen pt_3 = 80.07
gen pt_4 = 71.15

/*CPI prices used for the combined two waves of data*/

gen cpi98=0.73688
gen cpi99=0.78669
gen cpi00=0.8417
gen cpi01=1
gen cpi02=1.12883
gen cpi03=1.287098

gen cpinofarm98=0.72061
gen cpinofarm99=0.83401
gen cpinofarm00=0.94452
gen cpinofarm01=1
gen cpinofarm02=1.12462
gen cpinofarm03=1.430094

gen cpifood98=0.75523
gen cpifood99=0.76272
gen cpifood00=0.78114
gen cpifood01=1
gen cpifood02=1.131377
gen cpifood03=1.198837

gen cpicloth98=0.97827
gen cpicloth99=0.97083
gen cpicloth00=1.00205
gen cpicloth01=1
gen cpicloth02=1.001211
gen cpicloth03=1.209005

gen cpimisc98=0.60452
gen cpimisc99=0.82027
gen cpimisc00=1.00641
gen cpimisc01=1
gen cpimisc02=1.169514
gen cpimisc03=1.565576

gen cpihouse98=0.88426
gen cpihouse99=0.91888
gen cpihouse00=0.96557
gen cpihouse01=1
gen cpihouse02=1.02848
gen cpihouse03=1.145233

sort firm
save "$derived_data\cpi", replace
sum
exit

