
clear

cd "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 

global wave1  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_Dec06\Nigeria2001_public_dec06"
global simon_feb06  "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria2005\Nigeria_raw_data_simon_feb06\Nigeria2"
global temp "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\temp" 
global pooled "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria merged_Waves 1 and 2_May06"
global wave2_public "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Data_Wave2"

global derived_data "C:\Users\admin\Documents\Dropbox\stataprogs\Nigeria Firms\Nigeria Firm Data_Public_June15\Wave2_2004\Firm_Derived_Data_Wave2" 

use "$wave1\nm1a18extended_public.dta", clear
gen firmid=a1eno
gen firmage_wave1=2001-year
gen year_founded_1=year
sort firmid
by firmid: keep if _n==1
keep firmid firmage_wave1 year_founded_1
sort firmid

save "$temp\firmage_1", replace
sum firmid firmage_wave1


use "$wave2_public\nm2_section2_public", clear
gen firmage_wave2=2004-n2q9
gen year_founded_2=n2q9

keep firmid firmage_wave2 year_founded_2
sort firmid
merge firmid using "$temp\firmage_1"
drop _merge
gen firm=firmid
drop firmid
sort firm

save "$derived_data\firm_age", replace
sum
exit
